package com.goafanti.achievement.bo;

import java.math.BigDecimal;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputAchievement {
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		id;

	@Max(value = 2, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		dataCategory;

	@Size(min = 0, max = 512, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		name;

	@Size(min = 0, max = 45, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		keyword;

	@Max(value = 7, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		category;

	@Size(min = 0, max = 2048, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		summary;

	@Size(min = 0, max = 4096, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		introduction;

	@Size(min = 0, max = 500, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		technicalPictureUrl;

	@Max(value = 999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		fieldA;

	@Max(value = 999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		fieldB;

	@Max(value = 999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		fieldC;

	@Max(value = 4, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		maturity;

	@Size(min = 0, max = 500, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		maturityPictureUrl;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		maturityTextFileUrl;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		maturityVideoUrl;

	@Max(value = 5, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		innovation;

	@Size(min = 0, max = 256, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		ownerName;

	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		ownerType;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		ownerId;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		ownerIdNumber;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		ownerMobile;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		ownerEmail;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		ownerPostalAddress;

	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		cooperationMode;

	@Max(value = 3, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		transferMode;

	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		bargainingMode;

	@Max(value = (long) 999999.99, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private BigDecimal	transferPrice;

	@Size(min = 0, max = 300, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		technicalScene;

	@Size(min = 0, max = 1024, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		breakthrough;

	@Size(min = 0, max = 300, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		patentCase;

	@Size(min = 0, max = 300, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		awards;

	@Size(min = 0, max = 300, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		teamDes;

	@Size(min = 0, max = 1024, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		parameter;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		techPlanUrl;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		businessPlanUrl;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		orgId;

	@Size(min = 0, max = 45, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		orgName;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		orgAddress;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		orgEmail;

	@Size(min = 0, max = 45, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		orgContacts;

	@Size(min = 0, max = 45, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		orgContactsMobile;

	@Max(value = 9, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		status;

	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		releaseStatus;

	@Max(value = 4, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		auditStatus;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		techBrokerId;

	
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer     jmrhFlag;
	
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer    boutique;
	
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer internationalFlag;
	
	@Size(min = 0, max = 500, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String remark;
	
	@Size(min = 0, max = 256, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String contacts;
	
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String contactMobile ;
	
	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public String getContactMobile() {
		return contactMobile;
	}

	public void setContactMobile(String contactMobile) {
		this.contactMobile = contactMobile;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getInternationalFlag() {
		return internationalFlag;
	}

	public void setInternationalFlag(Integer internationalFlag) {
		this.internationalFlag = internationalFlag;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getDataCategory() {
		return dataCategory;
	}

	public void setDataCategory(Integer dataCategory) {
		this.dataCategory = dataCategory;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getKeyword() {
		return keyword;
	}

	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}

	public Integer getCategory() {
		return category;
	}

	public void setCategory(Integer category) {
		this.category = category;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public String getTechnicalPictureUrl() {
		return technicalPictureUrl;
	}

	public void setTechnicalPictureUrl(String technicalPictureUrl) {
		this.technicalPictureUrl = technicalPictureUrl;
	}

	public Integer getFieldA() {
		return fieldA;
	}

	public void setFieldA(Integer fieldA) {
		this.fieldA = fieldA;
	}

	public Integer getFieldB() {
		return fieldB;
	}

	public void setFieldB(Integer fieldB) {
		this.fieldB = fieldB;
	}

	public Integer getFieldC() {
		return fieldC;
	}

	public void setFieldC(Integer fieldC) {
		this.fieldC = fieldC;
	}

	public Integer getMaturity() {
		return maturity;
	}

	public void setMaturity(Integer maturity) {
		this.maturity = maturity;
	}

	public String getMaturityPictureUrl() {
		return maturityPictureUrl;
	}

	public void setMaturityPictureUrl(String maturityPictureUrl) {
		this.maturityPictureUrl = maturityPictureUrl;
	}

	public String getMaturityTextFileUrl() {
		return maturityTextFileUrl;
	}

	public void setMaturityTextFileUrl(String maturityTextFileUrl) {
		this.maturityTextFileUrl = maturityTextFileUrl;
	}

	public String getMaturityVideoUrl() {
		return maturityVideoUrl;
	}

	public void setMaturityVideoUrl(String maturityVideoUrl) {
		this.maturityVideoUrl = maturityVideoUrl;
	}

	public Integer getInnovation() {
		return innovation;
	}

	public void setInnovation(Integer innovation) {
		this.innovation = innovation;
	}

	public String getOwnerName() {
		return ownerName;
	}

	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}

	public Integer getOwnerType() {
		return ownerType;
	}

	public void setOwnerType(Integer ownerType) {
		this.ownerType = ownerType;
	}

	public String getOwnerIdNumber() {
		return ownerIdNumber;
	}

	public void setOwnerIdNumber(String ownerIdNumber) {
		this.ownerIdNumber = ownerIdNumber;
	}

	public String getOwnerMobile() {
		return ownerMobile;
	}

	public void setOwnerMobile(String ownerMobile) {
		this.ownerMobile = ownerMobile;
	}

	public String getOwnerEmail() {
		return ownerEmail;
	}

	public void setOwnerEmail(String ownerEmail) {
		this.ownerEmail = ownerEmail;
	}

	public String getOwnerPostalAddress() {
		return ownerPostalAddress;
	}

	public void setOwnerPostalAddress(String ownerPostalAddress) {
		this.ownerPostalAddress = ownerPostalAddress;
	}

	public Integer getCooperationMode() {
		return cooperationMode;
	}

	public void setCooperationMode(Integer cooperationMode) {
		this.cooperationMode = cooperationMode;
	}

	public Integer getTransferMode() {
		return transferMode;
	}

	public void setTransferMode(Integer transferMode) {
		this.transferMode = transferMode;
	}

	public Integer getBargainingMode() {
		return bargainingMode;
	}

	public void setBargainingMode(Integer bargainingMode) {
		this.bargainingMode = bargainingMode;
	}

	public BigDecimal getTransferPrice() {
		return transferPrice;
	}

	public void setTransferPrice(BigDecimal transferPrice) {
		this.transferPrice = transferPrice;
	}

	public String getTechnicalScene() {
		return technicalScene;
	}

	public void setTechnicalScene(String technicalScene) {
		this.technicalScene = technicalScene;
	}

	public String getBreakthrough() {
		return breakthrough;
	}

	public void setBreakthrough(String breakthrough) {
		this.breakthrough = breakthrough;
	}

	public String getPatentCase() {
		return patentCase;
	}

	public void setPatentCase(String patentCase) {
		this.patentCase = patentCase;
	}

	public String getAwards() {
		return awards;
	}

	public void setAwards(String awards) {
		this.awards = awards;
	}

	public String getTeamDes() {
		return teamDes;
	}

	public void setTeamDes(String teamDes) {
		this.teamDes = teamDes;
	}

	public String getParameter() {
		return parameter;
	}

	public void setParameter(String parameter) {
		this.parameter = parameter;
	}

	public String getTechPlanUrl() {
		return techPlanUrl;
	}

	public void setTechPlanUrl(String techPlanUrl) {
		this.techPlanUrl = techPlanUrl;
	}

	public String getBusinessPlanUrl() {
		return businessPlanUrl;
	}

	public void setBusinessPlanUrl(String businessPlanUrl) {
		this.businessPlanUrl = businessPlanUrl;
	}

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getOrgAddress() {
		return orgAddress;
	}

	public void setOrgAddress(String orgAddress) {
		this.orgAddress = orgAddress;
	}

	public String getOrgEmail() {
		return orgEmail;
	}

	public void setOrgEmail(String orgEmail) {
		this.orgEmail = orgEmail;
	}

	public String getOrgContacts() {
		return orgContacts;
	}

	public void setOrgContacts(String orgContacts) {
		this.orgContacts = orgContacts;
	}

	public String getOrgContactsMobile() {
		return orgContactsMobile;
	}

	public void setOrgContactsMobile(String orgContactsMobile) {
		this.orgContactsMobile = orgContactsMobile;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getReleaseStatus() {
		return releaseStatus;
	}

	public void setReleaseStatus(Integer releaseStatus) {
		this.releaseStatus = releaseStatus;
	}

	public Integer getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(Integer auditStatus) {
		this.auditStatus = auditStatus;
	}

	public String getTechBrokerId() {
		return techBrokerId;
	}

	public void setTechBrokerId(String techBrokerId) {
		this.techBrokerId = techBrokerId;
	}

	public String getOwnerId() {
		return ownerId;
	}

	public void setOwnerId(String ownerId) {
		this.ownerId = ownerId;
	}



	public Integer getJmrhFlag() {
		return jmrhFlag;
	}

	public void setJmrhFlag(Integer jmrhFlag) {
		this.jmrhFlag = jmrhFlag;
	}

	public Integer getBoutique() {
		return boutique;
	}

	public void setBoutique(Integer boutique) {
		this.boutique = boutique;
	}
}
